# Uses of Class
ml.options.OptionData

## Uses of OptionData in ml.options

Methods in ml.options that return OptionData
Modifier and Type
Method
Description
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key)`
Add the given option to the set.
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, String altKey)`
Add the given option to the set.
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, String altKey, Options.Multiplicity multiplicity)`
Add the given option to the set.
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, Options.Multiplicity multiplicity)`
Add the given option to the set.
`OptionData`
OptionSet.`getOption(String key)`
Get the data for a specific option, identified by its key name (which is unique)
`OptionData`
OptionData.`setDetailText(String text)`
Set the text to be used for the <detail> argument of a value option.
`OptionData`
OptionData.`setHelpText(String text)`
Set the text describing the purpose of the option.
`OptionData`
OptionData.`setValueText(String text)`
Set the text to be used for the <value> argument of a value option.
Methods in ml.options that return types with arguments of type OptionData
Modifier and Type
Method
Description
`List<OptionData>`
OptionSet.`getOptionData()`
Get a list of all the options defined for this set
Methods in ml.options with parameters of type OptionData
Modifier and Type
Method
Description
`static void`
ValueConstraint.`add(OptionData optionData, int[] values)`
Add a constraint of `ValueConstraint.Type` `INT_ARRAY` for the given option
`static void`
ValueConstraint.`add(OptionData optionData, int imin, int imax)`
Add a constraint of `ValueConstraint.Type` `INT_RANGE` for the given option
`static void`
ValueConstraint.`add(OptionData optionData, String[] values, boolean caseSensitive)`
Add a constraint of `ValueConstraint.Type` `STRING_ARRAY` for the given option
`static void`
ValueConstraint.`add(OptionData optionData, ValueConstraint.Type type, String spec)`
Add a constraint of the given `ValueConstraint.Type` with the specified details